From: <a href="/blend/av.cgi?id=1">Kirk, Blender-Keeper</a><BR>
Date: 2 April 2007<P>

*Has* anyone heard from Kevin lately?<BR>
<BR>
On kisrael.com I'm going to be commenting on that one survey question that's been there forever... at some point I might retire it if Kevin isn't able to keep it rolling. 
<HR>
From: <a href="/blend/av.cgi?id=8">Ali</a><BR>
Date: 2 April 2007<P>

Kirk~<BR>
<BR>
I know that Kev is still alive and kicking, because he still updates his xanga site; from what I can tell, he's been extremely overwhelmed for a while now.  I can give you his email address if you want it.<BR>
<BR>
~Ali
<HR>
From: <a href="/blend/av.cgi?id=872">Cryingshame58</a><BR>
Date: 2 April 2007<P>

Hairdiva,<BR>
Come on down :)<BR>
CS%*
<HR>
From: <a href="/blend/av.cgi?id=1">Kirk, Blender-Keeper</a><BR>
Date: 2 April 2007<P>

Ali, why don't you do that?<BR>
<BR>
Any email sent to kisrael.com will get to me...<BR>
<BR>
I appreciate the work he's done on it in the past, and I understand how things can get out of hand and swamp something like that... still i need to decide if it's time to retire it or what. If you look at the past questions page, it was a great run, over 100 different questions.
<HR>
From: <a href="/blend/av.cgi?id=872">cryingshame58</a><BR>
Date: 2 April 2007<P>

Kirk,<BR>
Happy belated birthday to you :)<BR>
I hope your birthday was as full of fun as mine always are!<BR>
CS%*
<HR>